// an example karma.conf.js
module.exports = function (config) {
	config.set({
		// base path, that will be used to resolve files and exclude
		basePath: './',
		frameworks: ['jasmine'],
		plugins: [
			// these plugins will be require() by Karma
      'karma-jasmine',
			'karma-coverage',
			'karma-coveralls',
			'karma-chrome-launcher',
			'karma-phantomjs2-launcher',
			'karma-firefox-launcher',
			'karma-coverage',
			'karma-spec-reporter'
		],
		autoWatch: false,
		autoWatchBatchDelay: 4000,
		browsers: ['PhantomJS2'],

		// list of files / patterns to load in the browser
		files: [
      'bower_components/jasmine-expect/dist/jasmine-matchers.js',
      'dist/web-rpc.js',
			'test/client/**/*.spec.js'
		],

		reporters: process.env.CI ? ['spec', 'coverage', 'coveralls'] : ['spec'],

		preprocessors: {
			'dist/web-rpc.js': ['coverage']
		},

		// optionally, configure the reporter
		coverageReporter: {
			type: 'lcovonly',
			dir: '.coverage/'
		},

		// web server port
		port: 9876,

		// cli runner port
		runnerPort: 9100,

		// enable / disable colors in the output (reporters and logs)
		colors: true,

		// level of logging
		logLevel: config.LOG_INFO,

		// If browser does not capture in given timeout [ms], kill it
		captureTimeout: 30000,

		// Continuous Integration mode
		// if true, it capture browsers, run tests and exit
		singleRun: true
	});
};
